Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://api.example.com/api/v1/devices/{device_id}/proxy \ --header 'Content-Type: application/json' \ --data ' { "enabled": true } '
import requestsurl = "https://api.example.com/api/v1/devices/{device_id}/proxy"payload = { "enabled": True }headers = {"Content-Type": "application/json"}response = requests.patch(url, json=payload, headers=headers)print(response.text)
const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({enabled: true})};fetch('https://api.example.com/api/v1/devices/{device_id}/proxy', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "enabled": true, "can_edit": true, "proxy_url": "<string>", "message": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Update proxy settings. Device must be disconnected.
Request to configure or disable session proxy settings.
Proxy URL such as "http://host:port [blocked]" or "socks5://user:pass@host:port".
512
Successful Response
Proxy configuration for a WhatsApp account session.